OGRE: RTShader - OGRE Documentation

Classes | Defines | Typedefs | Enumerations | Functions | Variables | Friends

# RTShader
[Core]

Collaboration diagram for RTShader:

## Classes
class | Ogre::RTShader::CGProgramProcessor
| CG Language program processor class. More...
class | Ogre::RTShader::CGProgramWriter
| CG target language writer implementation. More...
class | Ogre::RTShader::ShaderProgramWriterCGFactory
| CG program writer factory implementation. More...
class | Ogre::RTShader::Function
| A class that represents a shader based program function. More...
class | Ogre::RTShader::FunctionAtom
| A class that represents an atomic code section of shader based program function. More...
class | Ogre::RTShader::Operand
| A class that represents a function operand (its the combination of a parameter the in/out semantic and the used fields). More...
class | Ogre::RTShader::FunctionInvocation
| A class that represents function invocation code from shader based program function. More...
class | Ogre::RTShader::ShaderGenerator
| Shader generator system main interface. More...
class | Ogre::RTShader::GLSLProgramProcessor
| GLSL Language program processor class. More...
class | Ogre::RTShader::GLSLProgramWriter
| GLSL target language writer implementation. More...
class | Ogre::RTShader::ShaderProgramWriterGLSLFactory
| GLSL program writer factory implementation. More...
class | Ogre::RTShader::HLSLProgramProcessor
| CG Language program processor class. More...
class | Ogre::RTShader::HLSLProgramWriter
| HLSL target language writer implementation. More...
class | Ogre::RTShader::ShaderProgramWriterHLSLFactory
| HLSL program writer factory implementation. More...
class | Ogre::RTShader::SGMaterialSerializerListener
| This class responsible for translating core features of the RT Shader System for Ogre material scripts. More...
class | Ogre::RTShader::Parameter
| A class that represents a shader based program parameter. More...
class | Ogre::RTShader::UniformParameter
| Uniform parameter class. More...
class | Ogre::RTShader::ConstParameter< valueType >
| Helper template which is the base for our ConstParameters. More...
class | Ogre::RTShader::ParameterFactory
| Helper utility class that creates common parameters. More...
class | Ogre::RTShader::Program
| A class that represents a shader based program. More...
class | Ogre::RTShader::ProgramManager
| A singleton manager class that manages shader based programs. More...
class | Ogre::RTShader::ProgramProcessor
| A class that provides extra processing services on CPU based programs. More...
class | Ogre::RTShader::ProgramSet
| Container class for shader based programs. More...
class | Ogre::RTShader::ProgramWriter
| Base class interface for shader program writers. More...
class | Ogre::RTShader::ProgramWriterFactory
| Interface definition for factories of ShaderProgramWriter. More...
class | Ogre::RTShader::ProgramWriterManager
class | Ogre::RTShader::RenderState
| This is a container class for sub render state class. More...
class | Ogre::RTShader::TargetRenderState
| This is the target render state. More...
class | Ogre::RTShader::SGScriptTranslator
| This class responsible for translating core features of the RT Shader System for Ogre material scripts. More...
class | Ogre::RTShader::SubRenderState
| This class is the base interface of sub part from a shader based rendering pipeline. More...
class | Ogre::RTShader::SubRenderStateAccessor
| This class uses as accessor from a template SubRenderState to all of its instances that created based on it. More...
class | Ogre::RTShader::SubRenderStateFactory
| Abstract factory interface for creating SubRenderState implementation instances. More...
## Defines
#define | FFP_LIB_COMMON "FFPLib_Common"
#define | FFP_FUNC_ASSIGN "FFP_Assign"
#define | FFP_FUNC_CONSTRUCT "FFP_Construct"
#define | FFP_FUNC_MODULATE "FFP_Modulate"
#define | FFP_FUNC_ADD "FFP_Add"
#define | FFP_FUNC_SUBTRACT "FFP_Subtract"
#define | FFP_FUNC_LERP "FFP_Lerp"
#define | FFP_FUNC_DOTPRODUCT "FFP_DotProduct"
#define | FFP_LIB_TRANSFORM "FFPLib_Transform"
#define | FFP_FUNC_TRANSFORM "FFP_Transform"
#define | FFP_LIB_LIGHTING "FFPLib_Lighting"
#define | FFP_FUNC_LIGHT_DIRECTIONAL_DIFFUSE "FFP_Light_Directional_Diffuse"
#define | FFP_FUNC_LIGHT_DIRECTIONAL_DIFFUSESPECULAR "FFP_Light_Directional_DiffuseSpecular"
#define | FFP_FUNC_LIGHT_POINT_DIFFUSE "FFP_Light_Point_Diffuse"
#define | FFP_FUNC_LIGHT_POINT_DIFFUSESPECULAR "FFP_Light_Point_DiffuseSpecular"
#define | FFP_FUNC_LIGHT_SPOT_DIFFUSE "FFP_Light_Spot_Diffuse"
#define | FFP_FUNC_LIGHT_SPOT_DIFFUSESPECULAR "FFP_Light_Spot_DiffuseSpecular"
#define | FFP_LIB_TEXTURING "FFPLib_Texturing"
#define | FFP_FUNC_TRANSFORM_TEXCOORD "FFP_TransformTexCoord"
#define | FFP_FUNC_GENERATE_TEXCOORD_ENV_NORMAL "FFP_GenerateTexCoord_EnvMap_Normal"
#define | FFP_FUNC_GENERATE_TEXCOORD_ENV_SPHERE "FFP_GenerateTexCoord_EnvMap_Sphere"
#define | FFP_FUNC_GENERATE_TEXCOORD_ENV_REFLECT "FFP_GenerateTexCoord_EnvMap_Reflect"
#define | FFP_FUNC_GENERATE_TEXCOORD_PROJECTION "FFP_GenerateTexCoord_Projection"
#define | FFP_FUNC_SAMPLE_TEXTURE "FFP_SampleTexture"
#define | FFP_FUNC_SAMPLE_TEXTURE_PROJ "FFP_SampleTextureProj"
#define | FFP_FUNC_MODULATEX2 "FFP_ModulateX2"
#define | FFP_FUNC_MODULATEX4 "FFP_ModulateX4"
#define | FFP_FUNC_ADDSIGNED "FFP_AddSigned"
#define | FFP_FUNC_ADDSMOOTH "FFP_AddSmooth"
#define | FFP_LIB_FOG "FFPLib_Fog"
#define | FFP_FUNC_VERTEXFOG_LINEAR "FFP_VertexFog_Linear"
#define | FFP_FUNC_VERTEXFOG_EXP "FFP_VertexFog_Exp"
#define | FFP_FUNC_VERTEXFOG_EXP2 "FFP_VertexFog_Exp2"
#define | FFP_FUNC_PIXELFOG_DEPTH "FFP_PixelFog_Depth"
#define | FFP_FUNC_PIXELFOG_LINEAR "FFP_PixelFog_Linear"
#define | FFP_FUNC_PIXELFOG_EXP "FFP_PixelFog_Exp"
#define | FFP_FUNC_PIXELFOG_EXP2 "FFP_PixelFog_Exp2"
## Typedefs
typedef vector< Function * >::type | Ogre::RTShader::ShaderFunctionList
typedef ShaderFunctionList::iterator | Ogre::RTShader::ShaderFunctionIterator
typedef ShaderFunctionList::const_iterator | Ogre::RTShader::ShaderFunctionConstIterator
typedef vector< FunctionAtom * > ::type | Ogre::RTShader::FunctionAtomInstanceList
typedef FunctionAtomInstanceList::iterator | Ogre::RTShader::FunctionAtomInstanceIterator
typedef FunctionAtomInstanceList::const_iterator | Ogre::RTShader::FunctionAtomInstanceConstIterator
typedef vector < ShaderGenerator::SGPass * > ::type | Ogre::RTShader::SGMaterialSerializerListener::SGPassList
typedef SGPassList::iterator | Ogre::RTShader::SGMaterialSerializerListener::SGPassListIterator
typedef SGPassList::const_iterator | Ogre::RTShader::SGMaterialSerializerListener::SGPassListConstIterator
typedef SharedPtr< Parameter > | Ogre::RTShader::ParameterPtr
typedef vector< ParameterPtr > ::type | Ogre::RTShader::ShaderParameterList
typedef ShaderParameterList::iterator | Ogre::RTShader::ShaderParameterIterator
typedef ShaderParameterList::const_iterator | Ogre::RTShader::ShaderParameterConstIterator
typedef SharedPtr < UniformParameter > | Ogre::RTShader::UniformParameterPtr
typedef vector < UniformParameterPtr >::type | Ogre::RTShader::UniformParameterList
typedef UniformParameterList::iterator | Ogre::RTShader::UniformParameterIterator
typedef UniformParameterList::const_iterator | Ogre::RTShader::UniformParameterConstIterator
typedef vector< RenderState * > ::type | Ogre::RTShader::RenderStateList
typedef RenderStateList::iterator | Ogre::RTShader::RenderStateIterator
typedef RenderStateList::const_iterator | Ogre::RTShader::RenderStateConstIterator
typedef SharedPtr < SubRenderStateAccessor > | Ogre::RTShader::SubRenderStateAccessorPtr
typedef vector< SubRenderState * > ::type | Ogre::RTShader::SubRenderStateList
typedef SubRenderStateList::iterator | Ogre::RTShader::SubRenderStateListIterator
typedef SubRenderStateList::const_iterator | Ogre::RTShader::SubRenderStateListConstIterator
typedef set< SubRenderState * > ::type | Ogre::RTShader::SubRenderStateSet
typedef SubRenderStateSet::iterator | Ogre::RTShader::SubRenderStateSetIterator
typedef SubRenderStateSet::const_iterator | Ogre::RTShader::SubRenderStateSetConstIterator
## Enumerations
enum | Ogre::RTShader::FFPVertexShaderStage { Ogre::RTShader::FFP_VS_PRE_PROCESS = 0, Ogre::RTShader::FFP_VS_TRANSFORM = 100, Ogre::RTShader::FFP_VS_COLOUR = 200, Ogre::RTShader::FFP_VS_LIGHTING = 300, Ogre::RTShader::FFP_VS_TEXTURING = 400, Ogre::RTShader::FFP_VS_FOG = 500, Ogre::RTShader::FFP_VS_POST_PROCESS = 2000 }
enum | Ogre::RTShader::FFPFragmentShaderStage { Ogre::RTShader::FFP_PS_PRE_PROCESS = 0, Ogre::RTShader::FFP_PS_COLOUR_BEGIN = 100, Ogre::RTShader::FFP_PS_TEXTURING = 200, Ogre::RTShader::FFP_PS_COLOUR_END = 300, Ogre::RTShader::FFP_PS_FOG = 400, Ogre::RTShader::FFP_PS_POST_PROCESS = 500 }
enum | Ogre::RTShader::FFPShaderStage { Ogre::RTShader::FFP_PRE_PROCESS = 0, Ogre::RTShader::FFP_TRANSFORM = 100, Ogre::RTShader::FFP_COLOUR = 200, Ogre::RTShader::FFP_LIGHTING = 300, Ogre::RTShader::FFP_TEXTURING = 400, Ogre::RTShader::FFP_FOG = 500, Ogre::RTShader::FFP_POST_PROCESS = 600 }
## Functions
virtual void | Ogre::RTShader::SGMaterialSerializerListener::techniqueEventRaised (MaterialSerializer *ser, MaterialSerializer::SerializeEvent event, bool &skip, const Technique *tech)
virtual void | Ogre::RTShader::SGMaterialSerializerListener::passEventRaised (MaterialSerializer *ser, MaterialSerializer::SerializeEvent event, bool &skip, const Pass *tech)
| Ogre::RTShader::SGMaterialSerializerListener::SGMaterialSerializerListener ()
| Will be create and destroyed via ShaderGenerator interface.
| Ogre::RTShader::SGMaterialSerializerListener::~SGMaterialSerializerListener ()
void | Ogre::RTShader::SGMaterialSerializerListener::createSGPassList (Material *mat, SGPassList &passList)
| Internal method that creates list of SGPass instances composing the given material.
ShaderGenerator::SGPass * | Ogre::RTShader::SGMaterialSerializerListener::getShaderGeneratedPass (const Pass *srcPass)
| Internal method that returns SGPass instance from a given source pass.
void | Ogre::RTShader::SGScriptTranslator::translatePass (ScriptCompiler *compiler, const AbstractNodePtr &node)
| Translates RT Shader System section within a pass context.
## Variables
Material * | Ogre::RTShader::SGMaterialSerializerListener::mSourceMaterial
SGPassList | Ogre::RTShader::SGMaterialSerializerListener::mSGPassList
## Friends
class | Ogre::RTShader::SGMaterialSerializerListener::ShaderGenerator

## Define Documentation

#define FFP_FUNC_ADD "FFP_Add"

Definition at line 82 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_ADDSIGNED "FFP_AddSigned"

Definition at line 111 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_ADDSMOOTH "FFP_AddSmooth"

Definition at line 112 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_ASSIGN "FFP_Assign"

Definition at line 79 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_CONSTRUCT "FFP_Construct"

Definition at line 80 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_DOTPRODUCT "FFP_DotProduct"

Definition at line 85 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_GENERATE_TEXCOORD_ENV_NORMAL "FFP_GenerateTexCoord_EnvMap_Normal"

Definition at line 103 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_GENERATE_TEXCOORD_ENV_REFLECT "FFP_GenerateTexCoord_EnvMap_Reflect"

Definition at line 105 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_GENERATE_TEXCOORD_ENV_SPHERE "FFP_GenerateTexCoord_EnvMap_Sphere"

Definition at line 104 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_GENERATE_TEXCOORD_PROJECTION "FFP_GenerateTexCoord_Projection"

Definition at line 106 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_LERP "FFP_Lerp"

Definition at line 84 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_LIGHT_DIRECTIONAL_DIFFUSE "FFP_Light_Directional_Diffuse"

Definition at line 93 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_LIGHT_DIRECTIONAL_DIFFUSESPECULAR "FFP_Light_Directional_DiffuseSpecular"

Definition at line 94 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_LIGHT_POINT_DIFFUSE "FFP_Light_Point_Diffuse"

Definition at line 95 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_LIGHT_POINT_DIFFUSESPECULAR "FFP_Light_Point_DiffuseSpecular"

Definition at line 96 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_LIGHT_SPOT_DIFFUSE "FFP_Light_Spot_Diffuse"

Definition at line 97 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_LIGHT_SPOT_DIFFUSESPECULAR "FFP_Light_Spot_DiffuseSpecular"

Definition at line 98 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_MODULATE "FFP_Modulate"

Definition at line 81 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_MODULATEX2 "FFP_ModulateX2"

Definition at line 109 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_MODULATEX4 "FFP_ModulateX4"

Definition at line 110 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_PIXELFOG_DEPTH "FFP_PixelFog_Depth"

Definition at line 119 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_PIXELFOG_EXP "FFP_PixelFog_Exp"

Definition at line 121 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_PIXELFOG_EXP2 "FFP_PixelFog_Exp2"

Definition at line 122 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_PIXELFOG_LINEAR "FFP_PixelFog_Linear"

Definition at line 120 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_SAMPLE_TEXTURE "FFP_SampleTexture"

Definition at line 107 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_SAMPLE_TEXTURE_PROJ "FFP_SampleTextureProj"

Definition at line 108 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_SUBTRACT "FFP_Subtract"

Definition at line 83 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_TRANSFORM "FFP_Transform"

Definition at line 89 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_TRANSFORM_TEXCOORD "FFP_TransformTexCoord"

Definition at line 102 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_VERTEXFOG_EXP "FFP_VertexFog_Exp"

Definition at line 117 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_VERTEXFOG_EXP2 "FFP_VertexFog_Exp2"

Definition at line 118 of file OgreShaderFFPRenderState.h.

#define FFP_FUNC_VERTEXFOG_LINEAR "FFP_VertexFog_Linear"

Definition at line 116 of file OgreShaderFFPRenderState.h.

#define FFP_LIB_COMMON "FFPLib_Common"

Definition at line 78 of file OgreShaderFFPRenderState.h.

#define FFP_LIB_FOG "FFPLib_Fog"

Definition at line 115 of file OgreShaderFFPRenderState.h.

#define FFP_LIB_LIGHTING "FFPLib_Lighting"

Definition at line 92 of file OgreShaderFFPRenderState.h.

#define FFP_LIB_TEXTURING "FFPLib_Texturing"

Definition at line 101 of file OgreShaderFFPRenderState.h.

#define FFP_LIB_TRANSFORM "FFPLib_Transform"

Definition at line 88 of file OgreShaderFFPRenderState.h.

## Typedef Documentation

typedef FunctionAtomInstanceList::const_iterator Ogre::RTShader::FunctionAtomInstanceConstIterator

Definition at line 206 of file OgreShaderFunctionAtom.h.

typedef FunctionAtomInstanceList::iterator Ogre::RTShader::FunctionAtomInstanceIterator

Definition at line 205 of file OgreShaderFunctionAtom.h.

typedef vector<FunctionAtom*>::type Ogre::RTShader::FunctionAtomInstanceList

Definition at line 204 of file OgreShaderFunctionAtom.h.

typedef SharedPtr<Parameter> Ogre::RTShader::ParameterPtr

Definition at line 332 of file OgreShaderParameter.h.

typedef RenderStateList::const_iterator Ogre::RTShader::RenderStateConstIterator

Definition at line 129 of file OgreShaderRenderState.h.

typedef RenderStateList::iterator Ogre::RTShader::RenderStateIterator

Definition at line 128 of file OgreShaderRenderState.h.

typedef vector<RenderState*>::type Ogre::RTShader::RenderStateList

Definition at line 127 of file OgreShaderRenderState.h.

typedef vector<ShaderGenerator::SGPass*>::type Ogre::RTShader::SGMaterialSerializerListener::SGPassList`[protected, inherited]`

Definition at line 73 of file OgreShaderMaterialSerializerListener.h.

typedef SGPassList::const_iterator Ogre::RTShader::SGMaterialSerializerListener::SGPassListConstIterator`[protected, inherited]`

Definition at line 75 of file OgreShaderMaterialSerializerListener.h.

typedef SGPassList::iterator Ogre::RTShader::SGMaterialSerializerListener::SGPassListIterator`[protected, inherited]`

Definition at line 74 of file OgreShaderMaterialSerializerListener.h.

typedef ShaderFunctionList::const_iterator Ogre::RTShader::ShaderFunctionConstIterator

Definition at line 219 of file OgreShaderFunction.h.

typedef ShaderFunctionList::iterator Ogre::RTShader::ShaderFunctionIterator

Definition at line 218 of file OgreShaderFunction.h.

typedef vector<Function*>::type Ogre::RTShader::ShaderFunctionList

Definition at line 217 of file OgreShaderFunction.h.

typedef ShaderParameterList::const_iterator Ogre::RTShader::ShaderParameterConstIterator

Definition at line 335 of file OgreShaderParameter.h.

typedef ShaderParameterList::iterator Ogre::RTShader::ShaderParameterIterator

Definition at line 334 of file OgreShaderParameter.h.

typedef vector<ParameterPtr>::type Ogre::RTShader::ShaderParameterList

Definition at line 333 of file OgreShaderParameter.h.

typedef SharedPtr<SubRenderStateAccessor> Ogre::RTShader::SubRenderStateAccessorPtr

Definition at line 48 of file OgreShaderSubRenderState.h.

typedef vector<SubRenderState*>::type Ogre::RTShader::SubRenderStateList

Definition at line 160 of file OgreShaderSubRenderState.h.

typedef SubRenderStateList::const_iterator Ogre::RTShader::SubRenderStateListConstIterator

Definition at line 162 of file OgreShaderSubRenderState.h.

typedef SubRenderStateList::iterator Ogre::RTShader::SubRenderStateListIterator

Definition at line 161 of file OgreShaderSubRenderState.h.

typedef set<SubRenderState*>::type Ogre::RTShader::SubRenderStateSet

Definition at line 164 of file OgreShaderSubRenderState.h.

typedef SubRenderStateSet::const_iterator Ogre::RTShader::SubRenderStateSetConstIterator

Definition at line 166 of file OgreShaderSubRenderState.h.

typedef SubRenderStateSet::iterator Ogre::RTShader::SubRenderStateSetIterator

Definition at line 165 of file OgreShaderSubRenderState.h.

typedef UniformParameterList::const_iterator Ogre::RTShader::UniformParameterConstIterator

Definition at line 483 of file OgreShaderParameter.h.

typedef UniformParameterList::iterator Ogre::RTShader::UniformParameterIterator

Definition at line 482 of file OgreShaderParameter.h.

typedef vector<UniformParameterPtr>::type Ogre::RTShader::UniformParameterList

Definition at line 481 of file OgreShaderParameter.h.

typedef SharedPtr<UniformParameter> Ogre::RTShader::UniformParameterPtr

Definition at line 480 of file OgreShaderParameter.h.

## Enumeration Type Documentation

enum Ogre::RTShader::FFPFragmentShaderStage

Enumerator:

  FFP_PS_PRE_PROCESS |
  FFP_PS_COLOUR_BEGIN |
  FFP_PS_TEXTURING |
  FFP_PS_COLOUR_END |
  FFP_PS_FOG |
  FFP_PS_POST_PROCESS |

Definition at line 55 of file OgreShaderFFPRenderState.h.

enum Ogre::RTShader::FFPShaderStage

Enumerator:

  FFP_PRE_PROCESS |
  FFP_TRANSFORM |
  FFP_COLOUR |
  FFP_LIGHTING |
  FFP_TEXTURING |
  FFP_FOG |
  FFP_POST_PROCESS |

Definition at line 66 of file OgreShaderFFPRenderState.h.

enum Ogre::RTShader::FFPVertexShaderStage

Enumerator:

  FFP_VS_PRE_PROCESS |
  FFP_VS_TRANSFORM |
  FFP_VS_COLOUR |
  FFP_VS_LIGHTING |
  FFP_VS_TEXTURING |
  FFP_VS_FOG |
  FFP_VS_POST_PROCESS |

Definition at line 43 of file OgreShaderFFPRenderState.h.

## Function Documentation

void Ogre::RTShader::SGMaterialSerializerListener::createSGPassList | ( | Material * | mat,
|  | SGPassList & | passList |
| ) |  |  | `[protected, inherited]`

Internal method that creates list of SGPass instances composing the given material.

ShaderGenerator::SGPass* Ogre::RTShader::SGMaterialSerializerListener::getShaderGeneratedPass | ( | const Pass * | srcPass | ) | `[protected, inherited]`

Internal method that returns SGPass instance from a given source pass.

virtual void Ogre::RTShader::SGMaterialSerializerListener::passEventRaised | ( | MaterialSerializer * | ser,
|  | MaterialSerializer::SerializeEvent | event,
|  | bool & | skip,
|  | const Pass * | tech |
| ) |  |  | `[virtual, inherited]`

See also:
  MaterialSerializer::Listener::passEventRaised

Ogre::RTShader::SGMaterialSerializerListener::SGMaterialSerializerListener | ( |  | ) | `[protected, inherited]`

Will be create and destroyed via ShaderGenerator interface.

virtual void Ogre::RTShader::SGMaterialSerializerListener::techniqueEventRaised | ( | MaterialSerializer * | ser,
|  | MaterialSerializer::SerializeEvent | event,
|  | bool & | skip,
|  | const Technique * | tech |
| ) |  |  | `[virtual, inherited]`

See also:
  MaterialSerializer::Listener::techniqueEventRaised

void Ogre::RTShader::SGScriptTranslator::translatePass | ( | ScriptCompiler * | compiler,
|  | const AbstractNodePtr & | node |
| ) |  |  | `[protected, inherited]`

Translates RT Shader System section within a pass context.

Parameters:

  | compiler | The compiler invoking this translator
  | node | The current AST node to be translated

Ogre::RTShader::SGMaterialSerializerListener::~SGMaterialSerializerListener | ( |  | ) | `[protected, inherited]`

## Variable Documentation

SGPassList Ogre::RTShader::SGMaterialSerializerListener::mSGPassList`[protected, inherited]`

Definition at line 93 of file OgreShaderMaterialSerializerListener.h.

Material* Ogre::RTShader::SGMaterialSerializerListener::mSourceMaterial`[protected, inherited]`

Definition at line 92 of file OgreShaderMaterialSerializerListener.h.

## Friends

friend class ShaderGenerator`[friend, inherited]`

Definition at line 97 of file OgreShaderMaterialSerializerListener.h.

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:53